{{- define "imageSecret" }}
{{- if .Values.global.imageSecrets.enabled }}
{{- with .Values.global.imageCredentials }}
{{- printf "{\"auths\":{\"%s\":{\"username\":\"%s\",\"password\":\"%s\",\"email\":\"%s\",\"auth\":\"%s\"}}}" .registry .username .password .email (printf "%s:%s" .username .password | b64enc) | b64enc }}
{{- end }}
{{- end }}
{{- end }}


{{/*
имя экз. lorain
*/}}
{{- define "lorain.fullname" -}}
{{- printf "%s-%s" .Release.Name .Release.Namespace | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
имя сервиса lorain
*/}}
{{- define "lorain.service" -}}
{{- printf "%s" .Release.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Create chart name and version as used by the chart label.
*/}}
{{- define "lorain.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Common labels
*/}}
{{- define "lorain.labels" -}}
helm.sh/chart: {{ include "lorain.chart" . }}
{{ include "lorain.selectorLabels" . }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- end }}

{{/*
Selector labels
*/}}
{{- define "lorain.selectorLabels" -}}
app.kubernetes.io/instance: {{ .Release.Name }}
app: {{ include "lorain.fullname" . }}
run: lorain
{{- end }}
